API referenceRules
Evaluate a rule
Runs one rule against an output without storing a output. Useful for testing a rule before enabling it.
post
https://www.tracira.com/api/rules/evaluateAuthorization
sessionAuth better-auth.session_token<token>
Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/rules/evaluate" \ -H "Content-Type: application/json" \ -d '{ "output": "Sure, I can give you a full refund right away.", "confidence": 0.62, "rule": { "name": "No refund promises", "type": "keyword_forbidden", "value": "refund" } }'{ "verdict": "pass", "confidenceScore": 0, "explanation": "string", "status": "pass", "appliedRules": [ { "ruleId": "string", "ruleName": "string", "ruleType": "keyword_required", "ruleValue": "string", "scope": "global", "projectName": "string", "taskName": "string", "outcome": "passed", "summary": "string", "evaluator": "deterministic", "model": "string", "llmOutput": "string" } ]}